Index: kernel/tgb.cc
===================================================================
--- kernel/tgb.cc	(revision 410ea0fb1e22ebcb52e33b6789cf294a2d1f663b)
+++ kernel/tgb.cc	(revision db83bf13b62d944de021f52de5ae04b7ffd0390e)
@@ -4794,44 +4702,44 @@
 //  nicht reduzierbare eintrï¿œe in ergebnisliste schreiben
   // nullen loeschen
-  while (curr_pos >= 0)
-  {
-    if ((c->use_noro_last_block)
-	&& (lies_in_last_dp_block (los[curr_pos].p, c)))
+  while(curr_pos >= 0)
+  {
+    if((c->use_noro_last_block)
+       && (lies_in_last_dp_block (los[curr_pos].p, c)))
     {
       int pn_noro = curr_pos + 1;
       poly *p_noro = (poly *) omalloc (pn_noro * sizeof (poly));
-      for (i = 0; i < pn_noro; i++)
-      {
-	int dummy_len;
-	poly p;
-	los[i].p = NULL;
-	kBucketClear (los[i].bucket, &p, &dummy_len);
-	p_noro[i] = p;
-      }
-      if (npPrimeM < 255)
-      {
-	noro_step < tgb_uint8 > (p_noro, pn_noro, c);
+      for(i = 0; i < pn_noro; i++)
+      {
+        int dummy_len;
+        poly p;
+        los[i].p = NULL;
+        kBucketClear (los[i].bucket, &p, &dummy_len);
+        p_noro[i] = p;
+      }
+      if(npPrimeM < 255)
+      {
+        noro_step < tgb_uint8 > (p_noro, pn_noro, c);
       }
       else
       {
-	if (npPrimeM < 65000)
-	{
-	  noro_step < tgb_uint16 > (p_noro, pn_noro, c);
-	}
-	else
-	{
-	  noro_step < tgb_uint32 > (p_noro, pn_noro, c);
-	}
-      }
-      for (i = 0; i < pn_noro; i++)
-      {
-	los[i].p = p_noro[i];
-	los[i].sev = pGetShortExpVector (los[i].p);
-	//ignore quality
-	kBucketInit (los[i].bucket, los[i].p, pLength (los[i].p));
+        if(npPrimeM < 65000)
+        {
+          noro_step < tgb_uint16 > (p_noro, pn_noro, c);
+        }
+        else
+        {
+          noro_step < tgb_uint32 > (p_noro, pn_noro, c);
+        }
+      }
+      for(i = 0; i < pn_noro; i++)
+      {
+        los[i].p = p_noro[i];
+        los[i].sev = pGetShortExpVector (los[i].p);
+        //ignore quality
+        kBucketInit (los[i].bucket, los[i].p, pLength (los[i].p));
       }
       qsort (los, pn_noro, sizeof (red_object), red_object_better_gen);
       int deleted =
-	multi_reduction_clear_zeroes (los, losl, pn_noro, curr_pos);
+        multi_reduction_clear_zeroes (los, losl, pn_noro, curr_pos);
       losl -= deleted;
       curr_pos -= deleted;
@@ -4840,6 +4748,6 @@
     find_erg erg;
 
-    multi_reduction_find (los, losl, c, curr_pos, erg);	//last argument should be curr_pos
-    if (erg.reduce_by < 0)
+    multi_reduction_find (los, losl, c, curr_pos, erg); //last argument should be curr_pos
+    if(erg.reduce_by < 0)
       break;
 
@@ -4854,36 +4762,35 @@
 
 
-    if (!TEST_OPT_REDTHROUGH)
-    {
-      for (i = erg.to_reduce_l; i <= erg.to_reduce_u; i++)
-      {
-	if (los[i].p != NULL)	//the check (los[i].p!=NULL) might be invalid
-	{
-	  //
-	  assume (los[i].initial_quality > 0);
-	  if (los[i].guess_quality (c)
-	      > 1.5 * delay_factor * max_initial_quality)
-	  {
-	    if (TEST_OPT_PROT)
-	      PrintS ("v");
-	    los[i].canonicalize ();
-	    if (los[i].guess_quality (c) > delay_factor * max_initial_quality)
-	    {
-	      if (TEST_OPT_PROT)
-		PrintS (".");
-	      los[i].clear_to_poly ();
-	      //delay.push_back(los[i].p);
-	      delay[delay_s] = los[i].p;
-	      delay_s++;
-	      los[i].p = NULL;
-	    }
-	  }
-	}
-      }
-    }
-    int deleted =
-      multi_reduction_clear_zeroes (los, losl, erg.to_reduce_l,
-				    erg.to_reduce_u);
-    if (erg.fromS == FALSE)
+    if(!TEST_OPT_REDTHROUGH)
+    {
+      for(i = erg.to_reduce_l; i <= erg.to_reduce_u; i++)
+      {
+        if(los[i].p != NULL)    //the check (los[i].p!=NULL) might be invalid
+        {
+          //
+          assume (los[i].initial_quality > 0);
+          if(los[i].guess_quality (c)
+             > 1.5 * delay_factor * max_initial_quality)
+          {
+            if(TEST_OPT_PROT)
+              PrintS ("v");
+            los[i].canonicalize ();
+            if(los[i].guess_quality (c) > delay_factor * max_initial_quality)
+            {
+              if(TEST_OPT_PROT)
+                PrintS (".");
+              los[i].clear_to_poly ();
+              //delay.push_back(los[i].p);
+              delay[delay_s] = los[i].p;
+              delay_s++;
+              los[i].p = NULL;
+            }
+          }
+        }
+      }
+    }
+    int deleted = multi_reduction_clear_zeroes (los, losl, erg.to_reduce_l,
+                                                erg.to_reduce_u);
+    if(erg.fromS == FALSE)
       curr_pos = si_max (erg.to_reduce_u, erg.reduce_by);
     else
@@ -4893,16 +4800,16 @@
 
     //Print("deleted %i \n",deleted);
-    if ((TEST_V_UPTORADICAL) && (!(erg.fromS)))
+    if((TEST_V_UPTORADICAL) && (!(erg.fromS)))
       sort_region_down (los, si_min (erg.to_reduce_l, erg.reduce_by),
-			(si_max (erg.to_reduce_u, erg.reduce_by)) - deleted,
-			c);
+                        (si_max (erg.to_reduce_u, erg.reduce_by)) - deleted,
+                        c);
     else
       sort_region_down (los, erg.to_reduce_l, erg.to_reduce_u - deleted, c);
 
-    if (erg.expand)
+    if(erg.expand)
     {
 #ifdef FIND_DETERMINISTIC
       int i;
-      for (i = 0; c->expandS[i]; i++);
+      for(i = 0; c->expandS[i]; i++) ;
       c->expandS = (poly *) omrealloc (c->expandS, (i + 2) * sizeof (poly));
       c->expandS[i] = erg.expand;
@@ -4910,8 +4817,8 @@
 #else
       int ecart = 0;
-      if (c->eliminationProblem)
-      {
-	ecart =
-	  c->pTotaldegree_full (erg.expand) - c->pTotaldegree (erg.expand);
+      if(c->eliminationProblem)
+      {
+        ecart =
+          c->pTotaldegree_full (erg.expand) - c->pTotaldegree (erg.expand);
       }
       add_to_reductors (c, erg.expand, erg.expand_length, ecart);
@@ -4952,20 +4859,17 @@
 }
 
-void
-red_object::flatten ()
+void red_object::flatten ()
 {
   assume (p == kBucketGetLm (bucket));
 }
 
-void
-red_object::validate ()
+void red_object::validate ()
 {
   p = kBucketGetLm (bucket);
-  if (p)
+  if(p)
     sev = pGetShortExpVector (p);
 }
 
-int
-red_object::clear_to_poly ()
+int red_object::clear_to_poly ()
 {
   flatten ();
@@ -4975,15 +4879,13 @@
 }
 
-void
-reduction_step::reduce (red_object * r, int l, int u)
-{
-}
-
-void
-simple_reducer::do_reduce (red_object & ro)
+void reduction_step::reduce (red_object * r, int l, int u)
+{
+}
+
+void simple_reducer::do_reduce (red_object & ro)
 {
   number coef;
 #ifdef HAVE_PLURAL
-  if (c->nc)
+  if(c->nc)
     nc_BucketPolyRed_Z (ro.bucket, p, &coef);
   else
@@ -4993,6 +4895,5 @@
 }
 
-void
-simple_reducer::reduce (red_object * r, int l, int u)
+void simple_reducer::reduce (red_object * r, int l, int u)
 {
   this->pre_reduce (r, l, u);
@@ -5000,5 +4901,5 @@
 //debug start
 
-  if (c->eliminationProblem)
+  if(c->eliminationProblem)
   {
     assume (p_LmEqual (r[l].p, r[u].p, c->r));
@@ -5007,13 +4908,13 @@
   }
 
-  for (i = l; i <= u; i++)
+  for(i = l; i <= u; i++)
   {
     this->do_reduce (r[i]);
-    if (c->eliminationProblem)
+    if(c->eliminationProblem)
     {
       r[i].sugar = si_max (r[i].sugar, reducer_deg);
     }
   }
-  for (i = l; i <= u; i++)
+  for(i = l; i <= u; i++)
   {
     kBucketSimpleContent (r[i].bucket);
@@ -5030,5 +4931,5 @@
 simple_reducer::~simple_reducer ()
 {
-  if (fill_back != NULL)
+  if(fill_back != NULL)
   {
     kBucketInit (fill_back, p, p_len);
@@ -5037,6 +4938,5 @@
 }
 
-void
-multi_reduce_step (find_erg & erg, red_object * r, slimgb_alg * c)
+void multi_reduce_step (find_erg & erg, red_object * r, slimgb_alg * c)
 {
   static int id = 0;
@@ -5049,5 +4949,5 @@
   simple_reducer *pointer;
   BOOLEAN work_on_copy = FALSE;
-  if (erg.fromS)
+  if(erg.fromS)
   {
     red = c->strat->S[rn];
@@ -5060,25 +4960,25 @@
     kBucketClear (r[rn].bucket, &red, &red_len);
 
-    if (!rField_is_Zp (c->r))
-    {
-      p_Cleardenom (red, c->r);	//should be unnecessary
+    if(!rField_is_Zp (c->r))
+    {
+      p_Cleardenom (red, c->r); //should be unnecessary
       //p_Content(red, c->r);
     }
     pNormalize (red);
-    if (c->eliminationProblem)
+    if(c->eliminationProblem)
     {
       r[rn].sugar = c->pTotaldegree_full (red);
     }
 
-    if ((!(erg.fromS)) && (TEST_V_UPTORADICAL))
-    {
-      if (polynomial_root (red, c->r))
-	lt_changed = TRUE;
+    if((!(erg.fromS)) && (TEST_V_UPTORADICAL))
+    {
+      if(polynomial_root (red, c->r))
+        lt_changed = TRUE;
       sev = p_GetShortExpVector (red, c->r);
     }
     red_len = pLength (red);
   }
-  if (((TEST_V_MODPSOLVSB) && (red_len > 1))
-      || ((c->nc) || (erg.to_reduce_u - erg.to_reduce_l > 5)))
+  if(((TEST_V_MODPSOLVSB) && (red_len > 1))
+     || ((c->nc) || (erg.to_reduce_u - erg.to_reduce_l > 5)))
   {
     work_on_copy = TRUE;
@@ -5087,15 +4987,15 @@
     pSetCoeff (m, nInit (1));
     pSetComp (m, 0);
-    for (int i = 1; i <= pVariables; i++)
+    for(int i = 1; i <= pVariables; i++)
       pSetExp (m, i, (pGetExp (r[erg.to_reduce_l].p, i) - pGetExp (red, i)));
     pSetm (m);
     poly red_cp;
 #ifdef HAVE_PLURAL
-    if (c->nc)
+    if(c->nc)
       red_cp = nc_mm_Mult_pp (m, red, c->r);
     else
 #endif
       red_cp = ppMult_mm (red, m);
-    if (!erg.fromS)
+    if(!erg.fromS)
     {
       kBucketInit (r[rn].bucket, red, red_len);
@@ -5104,5 +5004,5 @@
     //static poly redNF2 (poly h,slimgb_alg* c , int &len, number&  m,int n)
 
-    if (!c->nc)
+    if(!c->nc)
       redTailShort (red_cp, c->strat);
     //number mul;
@@ -5120,9 +5020,9 @@
 
   int reducer_deg = 0;
-  if (c->eliminationProblem)
+  if(c->eliminationProblem)
   {
     int lm_deg = c->pTotaldegree (r[erg.to_reduce_l].p);
     int ecart;
-    if (erg.fromS)
+    if(erg.fromS)
     {
       ecart = c->strat->ecartS[erg.reduce_by];
@@ -5136,5 +5036,5 @@
   pointer = new simple_reducer (red, red_len, reducer_deg, c);
 
-  if ((!work_on_copy) && (!erg.fromS))
+  if((!work_on_copy) && (!erg.fromS))
     pointer->fill_back = r[rn].bucket;
   else
@@ -5144,8 +5044,8 @@
 
   pointer->reduce (r, erg.to_reduce_l, erg.to_reduce_u);
-  if (work_on_copy)
+  if(work_on_copy)
     pDelete (&pointer->p);
   delete pointer;
-  if (lt_changed)
+  if(lt_changed)
   {
     assume (!erg.fromS);
@@ -5154,6 +5054,5 @@
 }
 
-void
-simple_reducer::pre_reduce (red_object * r, int l, int u)
-{
-}
+void simple_reducer::pre_reduce (red_object * r, int l, int u)
+{
+}
